JAVA - FireBird

JAVA - FireBird
2008-02-21T16:26:35+01:00
2008-02-23T23:08:58+01:00
2022-11-07T18:00:33+01:00
beluci
Sziasztok!

Eddig az Interbase 6.0 -át használtam, de a korlátai miatt átváltotam a FireBird 1.5 -re.

Az IB -t úgy értem el JAVA -ból, hogy feltelepítettem az adatbázis szerver mellé a Borland InterClient szerverét és az Ő jar -jainak a segítségével oldottam meg a komunikációt.

Most az FB -nél is így próbálkoztam, vagyis feltelepítettem az FB -t, majd mellé az InterClient szerverét, de az nagyon nem működött rendesen (volt gép ahol el sem indult, máshol elindult, csak éppen rendszeresen leállt) ezért az Interbase InterClientjét tettem most fel, azzal kisebb problémákkal ugyan de működik...

A kérdésem az, hogy ha letölteném a Jaybird-2.1.2JDK_1.5.zip -et és az abban lévő jar -okkal próbálnám megoldani a kommunikációt akkor is szükségem lenne InterClent -re? Vagy nem?
Mutasd a teljes hozzászólást!
Nincs.

A progihoz be "include"-oldod a jar-okat és utána:

try { Class.forName("org.firebirdsql.jdbc.FBDriver").newInstance(); } catch (Exception E) { System.err.println("Unable to load driver."); E.printStackTrace(); }


Connection Conn = DriverManager.getConnection( "jdbc:firebirdsql://repos.insttech.washington.edu:3050//home/firebird/johndoe/test.fdb", "johndoe", "jddb");

A forráskodok innen vannak: link
Mutasd a teljes hozzászólást!

Tetszett amit olvastál? Szeretnél a jövőben is értesülni a hasonló érdekességekről?
abcd